POST
https://api.cryptohopper.com/v1/hopper/{id}/startbalance
Sets the start balance of the hopper in its base currency. The value must be higher than 0.
OAuth scope:
manage About scopes
Example request
curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/startbalance" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"start_balance":1000}'
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/startbalance', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"start_balance": 1000
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/startbalance",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"start_balance": 1000
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/startbalance');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'start_balance' => 1000,
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Response
{
"data": "Start balance has been updated."
}